MethodTypeEntry (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.lang.classfile.constantpool, interface: MethodTypeEntry
Keywords: java.lang.classfile.constantpool.MethodTypeEntry interface

Module java.base
Package java.lang.classfile.constantpoolPREVIEW

# Interface MethodTypeEntry

All Superinterfaces:
  `ClassFileElementPREVIEW`, `LoadableConstantEntryPREVIEW`, `PoolEntryPREVIEW`, `WritableElementPREVIEW<PoolEntryPREVIEW>`

public sealed interface MethodTypeEntry extends LoadableConstantEntryPREVIEW
`MethodTypeEntry` is a preview API of the Java platform.
Programs can only use `MethodTypeEntry` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a `CONSTANT_MethodType_info` constant in the constant pool of a classfile.

See Java Virtual Machine Specification:
  4.4.9 The CONSTANT_MethodType_info Structure
Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MethodTypeDesc`
  `asSymbol()`
  Returns a symbolic descriptor for the method type.
  `default ConstantDesc`
  `constantValue()`
  Returns the constant described by this entry.
  `Utf8EntryPREVIEW`
  `descriptor()`
  Returns the constant pool entry describing the method type.

  ### Methods declared in interface java.lang.classfile.constantpool.LoadableConstantEntryPREVIEW

  `typeKind`

  ### Methods declared in interface java.lang.classfile.constantpool.PoolEntryPREVIEW

  `constantPool, index, tag, width`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### constantValue

    default ConstantDesc constantValue()
    Description copied from interface: `LoadableConstantEntry`
    Returns the constant described by this entry.
    Specified by:
      `constantValue` in interface `LoadableConstantEntryPREVIEW`
    Returns:
      the constant described by this entry

  - ### descriptor

    Utf8EntryPREVIEW descriptor()
    Returns the constant pool entry describing the method type.
    Returns:
      the constant pool entry describing the method type

  - ### asSymbol

    MethodTypeDesc asSymbol()
    Returns a symbolic descriptor for the method type.
    Returns:
      a symbolic descriptor for the method type